PHPExcel_trendClass

category | PHPExcel
package | PHPExcel_Shared_Trend
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## calculate()

    calculate($trendType, $yValues, $xValues, $const)

Static

### Parameters

#### $trendType

#### $yValues

#### $xValues

#### $const

### Properties

##

    $_trendCache : \PHPExcel_Best_Fit[]

##

    $_trendTypePolyOrders : string[]

##

    $_trendTypes : string[]

### Constants

## TREND_BEST_FIT

    TREND_BEST_FIT

## TREND_BEST_FIT_NO_POLY

    TREND_BEST_FIT_NO_POLY

## TREND_EXPONENTIAL

    TREND_EXPONENTIAL

## TREND_LINEAR

    TREND_LINEAR

## TREND_LOGARITHMIC

    TREND_LOGARITHMIC

## TREND_POLYNOMIAL_2

    TREND_POLYNOMIAL_2

## TREND_POLYNOMIAL_3

    TREND_POLYNOMIAL_3

## TREND_POLYNOMIAL_4

    TREND_POLYNOMIAL_4

## TREND_POLYNOMIAL_5

    TREND_POLYNOMIAL_5

## TREND_POLYNOMIAL_6

    TREND_POLYNOMIAL_6

## TREND_POWER

    TREND_POWER